package dao;

import static org.junit.Assert.assertTrue;

import org.junit.Before;
import org.junit.Test;

import dao.DisciplinaDAO;
import dao.EmentaDAO;

import util.Conexao;

import business.Disciplina;
import business.Ementa;

public class EmentaDAOTestCase {

	
	Conexao conexao;
	Ementa ementa = new Ementa();
	EmentaDAO ementaDao = new EmentaDAO();
	Disciplina disciplina = new Disciplina();
	DisciplinaDAO disciplinaDao = new DisciplinaDAO();


	@Before
	public void setUp() throws Exception {
		conexao = new Conexao();
		
		disciplina.setCodigo("11");
	    disciplina.setNome("matematica");
	    disciplina.setCargaHoraria(10);
		ementa.setId(80);
        ementa.setConteudo("inserindo Ementa");
        ementa.setId_disciplina("1");
        ementa.setNum_aulas("1");
        ementa.setData_ementa("01-01-1999");
		
	}
	
	@Test
	public void testInserirDisciplina() {
		disciplinaDao.cria(disciplina.getCodigo(), disciplina.getNome(), disciplina.getCargaHoraria()); 
	}

	
	@Test
	public void testInserir() {
		String msg = ementaDao.adicionarEmenta(ementa); 
		assertTrue(msg.contains("Ementa Cadastrado com Sucesso"));
	}

	@Test
	public void testRemoverPorAssunto() {

		String msg = ementaDao.removerEmenta(ementa.getConteudo());
		assertTrue(msg == null);
	}



}
